Last Comment Bug 668972 - blocked-popups options popup leaks content windows
: blocked-popups options popup leaks content windows
Status: RESOLVED FIXED
: mlk
Product: Firefox
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Firefox 7
Assigned To: Dão Gottwald [:dao]
:
Mentors:
Depends on:
Blocks: bc-leaks
  Show dependency treegraph
 
Reported: 2011-07-02 02:49 PDT by Dão Gottwald [:dao]
Modified: 2011-08-24 00:12 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
affected


Attachments
patch (2.02 KB, patch)
2011-07-02 02:49 PDT, Dão Gottwald [:dao]
gavin.sharp: review+
asa: approval‑mozilla‑beta-
Details | Diff | Review

Description Dão Gottwald [:dao] 2011-07-02 02:49:59 PDT
Created attachment 543590 [details] [diff] [review]
patch

The menuitems have references to the content window (menuitem.requestingWindow) and document (menuitem.requestingDocument) and stick around when the options popup closes, until you open it again, at which point there will be new menuitems with new content references.
Comment 1 Dão Gottwald [:dao] 2011-07-02 07:03:58 PDT
http://hg.mozilla.org/mozilla-central/rev/46697c40b104
Comment 2 Vlad [QA] 2011-07-07 06:21:20 PDT
How can this be verified?
Thx.
Comment 3 Asa Dotzler [:asa] 2011-07-11 14:41:25 PDT
Comment on attachment 543590 [details] [diff] [review]
patch

Sounds like at worst we leak one pop-up when this happens? If so, this doesn't seem like the kind of change we want to put into Beta.
Comment 4 Mihaela Velimiroviciu (:mihaelav) 2011-08-24 00:12:22 PDT
Can anyone please provide some STR / guidelines to verify this fix?

Thanks!

Note You need to log in before you can comment on or make changes to this bug.